METSlib 0.6

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
mets::termination_criteria_chain Class Reference
Common components

Function object expressing a termination criteria. More...

`#include <termination-criteria.hh>`

Inheritance diagram for mets::termination_criteria_chain:
Collaboration diagram for mets::termination_criteria_chain:

## Public Member Functions
| termination_criteria_chain (termination_criteria_chain *next=0)
| Constructor. More...
| termination_criteria_chain (const termination_criteria_chain &)
| purposely not implemented (see Effective C++)
termination_criteria_chain & | operator= (const termination_criteria_chain &)
virtual | ~termination_criteria_chain ()
| Virtual destructor.
virtual bool | operator() (const feasible_solution &fs)
| Alternate function that decides if we shoud terminate the search process. More...
virtual void | reset ()
| Reset the criterion to its initial state. More...

## Protected Attributes
termination_criteria_chain * | next_m

## Detailed Description

Function object expressing a termination criteria.

The search loop ends when the termination criteria is met.

## Constructor & Destructor Documentation

mets::termination_criteria_chain::termination_criteria_chain | ( | termination_criteria_chain * | next = `0` | ) |
| inline explicit

Constructor.

Parameters

  next | Optional next criterium in the chain.

## Member Function Documentation

bool mets::termination_criteria_chain::operator() | ( | const feasible_solution & | fs | ) |
| inline virtual

Alternate function that decides if we shoud terminate the search process.

(chain of responsibility)

Parameters

  fs | The current working solution.

Returns
  True if we shoud terminate

Reimplemented in mets::forever, mets::threshold_termination_criteria, mets::noimprove_termination_criteria, and mets::iteration_termination_criteria.

void mets::termination_criteria_chain::reset | ( |  | ) |
| inline virtual

Reset the criterion to its initial state.

(chain of responsibility)

Reimplemented in mets::forever, mets::threshold_termination_criteria, mets::noimprove_termination_criteria, and mets::iteration_termination_criteria.

The documentation for this class was generated from the following file:

- metslib/termination-criteria.hh

Return to METSlib home page